1. API reference
  2. Conversations

Send a message

POSThttps://howdybell.com/api/v1/conversations/{id}/messages

Adds a new message to an existing conversation. The message can be a text message or a note. Returns the created message object.

Parameters

  • idstringRequiredpath

Request body

  • bodystringRequired
  • kindstring
    one of: text, note
  • subjectstring, nullable
    max 255 characters
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

201

  • idinteger
  • conversation_idinteger
  • directionstring
  • kindstring
  • bodystring, nullable
  • htmlstring, nullable
  • subjectstring, nullable
  • from_addressstring, nullable
  • to_addressstring, nullable
  • statusstring
  • errorstring, nullable
  • authorobject, nullable
    • idinteger
    • namestring
  • sent_atstring, nullable
  • delivered_atstring, nullable
  • created_atstring, nullable
  • ai_generatedboolean
  • attachmentsarray of string

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/conversations/123/messages" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "body": "string",
  "kind": "text",
  "subject": "string",
  "location_id": 1
}'
Response201
{
  "id": 1,
  "conversation_id": 1,
  "direction": "string",
  "kind": "string",
  "body": "string",
  "html": "string",
  "subject": "string",
  "from_address": "string",
  "to_address": "string",
  "status": "string",
  "error": "string",
  "author": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "sent_at": "string",
  "delivered_at": "string",
  "created_at": "string",
  "ai_generated": true,
  "attachments": [
    "string"
  ]
}
Send a message (POST /api/v1/conversations/{id}/messages) | HowdyBell Developers